/***************************************************************************
                          fixedcircle.h  -  description
                             -------------------
    begin                : Sat May 6 2000
    copyright            : (C) 2000 by Marc Bartsch
    email                : marc.bartsch@topmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FIXEDCIRCLE_H
#define FIXEDCIRCLE_H

#include <geoobjects.h>
#include "diameterdialog.h"

/**This class represents a circle with
fixed diameter.
  *@author Marc Bartsch
  */

class FixedCircle : public GeoObjects
{
	public:
	
		FixedCircle();
		virtual ~FixedCircle();

		virtual void		getObjectOverlay( QList <QRect> & list );

	  virtual void 		paint( QPainter *p );
	  virtual bool		contains( QPoint *pt );

		virtual void 		move();
		virtual void 		moveMe( Coordinates & coords );
		virtual void 		moveMe( Coordinates & coords, double position );
		virtual double	positionMe( Coordinates & coords );

		virtual void 		writeToFile( KSimpleConfig *config );
		virtual void 		readFromFile( KSimpleConfig *config );

	  virtual void 		initObject( GeoObjects *obj );
};

#endif


